id: block_content_body_field_storage
label: Block content body field storage
migration_tags:
  - Drupal 6
  - Drupal 7
  - Configuration
source:
  plugin: embedded_data
  data_rows:
    -
      id: block_content.body
      field_name: body
      entity_type: block_content
      type: text_long
  ids:
    id:
      type: string
  source_module: block
process:
  id: id
  field_name: field_name
  entity_type: entity_type
  type: type
  settings: settings
  module: text
  locked: locked
  cardinality: cardinality
  translatable: translatable
  indexes: indexes
  persist_with_no_fields: persist_with_no_fields
  custom_storage: custom_storage
destination:
  plugin: entity:field_storage_config
migration_dependencies:
  required:
    - block_content_type
provider:
  - block_content
  - migrate_drupal
